Bug 842359 - Clipping of text document on envelope paper sizes in a landscape orientation when printed from any text editor application
Clipping of text document on envelope paper sizes in a landscape orientation ...
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-07-23 10:46 EDT by Goutam Kodu
Modified: 2013-08-01 06:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-01 06:19:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
PPD file of an OfficeJet printer (24.43 KB, application/octet-stream)
2012-07-23 10:52 EDT, Goutam Kodu
no flags Details
PDF file generated from gedit application from a text document (12.98 KB, application/pdf)
2012-07-23 10:54 EDT, Goutam Kodu
no flags Details
Text file that i used for testing (270 bytes, text/plain)
2012-07-23 10:56 EDT, Goutam Kodu
no flags Details

  None (edit)
Description Goutam Kodu 2012-07-23 10:46:50 EDT
User-Agent:       Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:13.0) Gecko/20100101 Firefox/13.0.1
Build Identifier: 

Printing of any text document in landscape orientation from any text/doc application (gedit,Libreoffice) is producing a clipping of the data on the left side of the envelope paper size (#10 Envelope, DL Envelope, A2 Envelop etc...).
The filter chain is pdftops->gstoraster. Viewing the raster output from Rasterview application clearly shows the clip on the left side of the envelope paper size.

Reproducible: Always

Steps to Reproduce:
1.Create a simple text document in a gedit application.
2.Create a print queue of any Deskjet or Inkjet printer using hpcups PPD file for that printer. This you can do using hp-setup command available in HPLIP printer drivers.
3.Open the text document from gedit application and select the printer and select the page size to be any Envelope paper size (e.x #10 Envelope) and keep the orientation to landscape and send the print job. 

You can reproduce it by using cupsfilter command too (this is for debugging purpose).
1.Pause the print queue in system-config-printer.
2.Open the text document in gedit application. Select the printer queue and select the PageSize = #10 Envelope and Orientation = Landscape and send the print job.
3. Go to location /var/spool/cups/ and you will find a file starting with name d00XX-XX.
4. Copy the file to /home/ location and name it output.pdf
5. Run command cupsfilter -m application/vnd.cups-raster -p /etc/cups/ppd/<PPD file> -o "PageSize=Env10 fitplot" /home/output.pdf > /home/output.ras
6. Open the file output.ras using Rasterview application which u can download and install from http://www.easysw.com/~mike/rasterview/index.html
  cmd: rasterview /home/output.ras

This will clearly show the clip on the left side of the envelope paper size.

Actual Results:  
Clipping of the data on the left side of the envelop paper size in landscape orientation.

Expected Results:  
Clip should not happen and data should be present with in the page margins

This could be due to ghostscript handling landscape orientation envelope paper sizes in different way. This defect is affecting only the envelop paper sizes of any inkjet/deskjet or laserjet printer PPD.
Comment 1 Goutam Kodu 2012-07-23 10:52:06 EDT
Created attachment 599806 [details]
PPD file of an OfficeJet printer
Comment 2 Goutam Kodu 2012-07-23 10:54:15 EDT
Created attachment 599809 [details]
PDF file generated from gedit application from a text document
Comment 3 Goutam Kodu 2012-07-23 10:56:42 EDT
Created attachment 599813 [details]
Text file that i used for testing
Comment 4 Goutam Kodu 2012-07-23 11:06:20 EDT
Other paper sizes like Letter,A4 etc.. are printed file in landscape orientation.

Please help us to understand why this different behaviour between normal paper size and envelop papersize.If its a bug in ghostscript please provide us a fix for this.

Thanks & Regards,
Comment 5 Goutam Kodu 2012-08-08 05:40:59 EDT
Any update on this ???
Comment 6 Tim Waugh 2012-08-08 07:42:44 EDT
This is due to the imageable area being smaller than the media size (see the Env10 ImageableArea attribute in the PPD).

gedit ought to take this into account when formatting its print output.
Comment 7 Goutam Kodu 2012-08-08 07:55:18 EDT
Thanks for the update  Tim.

Will you be pushing this bug to gedit folks or should i have to log separate bug for this in gedit ?

We been seeing this issue from fedora 16 onwards. This is happening with only the text files printing in landscape orientation only on the Envelope paper sizes . Envelop paper sizes have more bottom margins than compared to other paper sizes this is as per the printer hardware specification. 

When i checked this on Ubuntu 12.04 distro i could found that cpdftocps filter(script) is taking care of  adding the hardware margins into the ps file and the ghostscript takes care of it further.

Please provide us a solution with this regard.

Thanks for you continuous support.

Goutam Kodu
Comment 8 Tim Waugh 2012-08-08 08:02:37 EDT
I've changed the component to gedit so the developers can take a look.
Comment 9 Fedora End Of Life 2013-07-03 23:09:38 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 06:19:50 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.